uniform float Style;
varying vec3  normal;

void main()
{
    if( Style == 3.0 ) // standard, normal & depth encoded
        gl_FragColor = vec4( (normal + 1.0) * .5, gl_FragCoord.z);
    else if( Style == 1.0 ) // just normals
        gl_FragColor = vec4( (normal + 1.0) * .5, 1.0);
    else if( Style == 2.0 )
        gl_FragColor = vec4( gl_FragCoord.z, gl_FragCoord.z, 
                             gl_FragCoord.z, 1.0);
    else // just color from material
        gl_FragColor = gl_Color;
}

